singa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shreyansh Shrivastava (JIRA)" <j...@apache.org>
Subject [jira] [Created] (SINGA-465) Installation error on Ubuntu 18.04 , Protobuf mismatch
Date Sun, 30 Jun 2019 08:45:00 GMT
Shreyansh Shrivastava created SINGA-465:
-------------------------------------------

             Summary: Installation error on Ubuntu 18.04 , Protobuf mismatch
                 Key: SINGA-465
                 URL: https://issues.apache.org/jira/browse/SINGA-465
             Project: Singa
          Issue Type: Bug
          Components: Application
         Environment: Ubuntu 18.04

            Reporter: Shreyansh Shrivastava
         Attachments: cmake DUSE_MODULES=ON.png, mkae and pip show protobuf.png

I installed SINGA from source on Ubuntu 18.04.
All the dependencies are installed properly. *The only warning in the output of "cmake -DUSE_MODULES=ON"*
is as follows,
*Protobuf compiler version 3.2.0 doesn't match library version 3.0.0*

*The output of "pip show protobuf"* is as follows,
Name: protobuf
*Version: 3.0.0*
Summary: Protocol Buffers
Home-page: https://developers.google.com/protocol-buffers/
Author: protobuf@googlegroups.com
Author-email: protobuf@googlegroups.com
License: New BSD License
Location: /home/shreyansh/anaconda3/lib/python3.6/site-packages
Requires: setuptools, six
Required-by: tensorflow, tensorboard

 

*"make" terminates with the following message*,
In file included from /home/shreyansh/incubator-singa/build/src/caffe.pb.cc:5:0:
/home/shreyansh/incubator-singa/build/src/caffe.pb.h:17:2: error: #error This file was generated
by an older version of protoc which is
 #error This file was generated by an older version of protoc which is
 ^~~~~
/home/shreyansh/incubator-singa/build/src/caffe.pb.h:18:2: error: #error incompatible with
your Protocol Buffer headers. Please
 #error incompatible with your Protocol Buffer headers. Please
 ^~~~~
/home/shreyansh/incubator-singa/build/src/caffe.pb.h:19:2: error: #error regenerate this file
with a newer version of protoc.
 #error regenerate this file with a newer version of protoc.


When pip shows that protobuf version is 3.0.0, then why is the error occurring.

I am attaching a screenshot of the terminal window.

 



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message